Subject: bug#19990: 24.4; Bad resizing interaction when WM ignores size hints

From: "Jan D." <[email-masked]>
Date: Wed, 4 Mar 2015 22:18:42 +0100

> 4 mar 2015 kl. 20:30 skrev Yuri D'Elia <[email-masked]>:
> 
> On 03/04/2015 08:22 PM, Jan D. wrote:
>> Hi.
> 
>> I'm afraid it is out of Emacs control.
> 
> Since the gtk interface has some issues, is there anything really worth
> in it compared to lucid? I switched to the gtk port only when debian
> make it default, getting the impression that lucid was receiving less
> love. Maybe rendering through gdk is faster?
> 
> Pure curiosity.

The toolbar, scrollbar and possibly menus look better.  There is a font chooser and a file dialog.
The dialogs look a bit better.  Also, they adapt to the desktop theme.

Gtk+ does rendering via cairo nowdays, it is not faster, but a bit slower actually than pure X that lucid uses.
Lucid only receives some updates to cope with changed coding standards and core Emacs changes.
The last new stuff was antialiased text in menus, and that was 4 years ago.
I think XEmacs Lucid version has more features, but I haven't investigated.

	Jan D.